Bug 15702 - new libgst-plugins should require the new version of libgstreamer
: new libgst-plugins should require the new version of libgstreamer
Status: CLOSED DUPLICATE of bug 15526
: Sisyphus
(All bugs in Sisyphus/libgst-plugins)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 15079 15526
:
  Show dependency tree
 
Reported: 2008-05-18 18:42 by
Modified: 2008-05-20 12:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-18 18:42:35
gnome-power-manager-2.22.1-alt1

I installed a new version of gnome-power-manager. In reality, it requires a
newer version of gstreamer than I have (see undefined symbols below), but
formally the RPM doesn't have this dependency.

$ ldd -r /usr/bin/gnome-power-manager
        linux-gate.so.1 =>  (0xb7f8c000)
        libgstreamer-0.10.so.0 => not found
        libglade-2.0.so.0 => /usr/lib/libglade-2.0.so.0 (0xb7f49000)
        libgnome-keyring.so.0 => /usr/lib/libgnome-keyring.so.0 (0xb7f3d000)
        libgnomeui-2.so.0 => /usr/lib/libgnomeui-2.so.0 (0xb7eb4000)
        libgconf-2.so.4 => /usr/lib/libgconf-2.so.4 (0xb7e81000)
        libgnome-2.so.0 => /usr/lib/libgnome-2.so.0 (0xb7e6e000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb7e60000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb7e5c000)
        libnotify.so.1 => /usr/lib/libnotify.so.1 (0xb7e55000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7a78000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb7a5c000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb79c7000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb79be000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb7955000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb7919000)
        libm.so.6 => /lib/libm.so.6 (0xb78f2000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb78b9000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb77ee000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb77d7000)
        libc.so.6 => /lib/libc.so.6 (0xb76af000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb75c6000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb74aa000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb748f000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7475000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb7472000)
        libbonoboui-2.so.0 => /usr/lib/libbonoboui-2.so.0 (0xb7416000)
        libgnomecanvas-2.so.0 => /usr/lib/libgnomecanvas-2.so.0 (0xb73e8000)
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 (0xb73d1000)
        libgnomevfs-2.so.0 => /usr/lib/libgnomevfs-2.so.0 (0xb7379000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb7371000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb735a000)
        libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0xb730b000)
        libbonobo-2.so.0 => /usr/lib/libbonobo-2.so.0 (0xb72b0000)
        libbonobo-activation.so.4 => /usr/lib/libbonobo-activation.so.4 (0xb729c000)
        libpopt.so.0 => /lib/libpopt.so.0 (0xb7293000)
        librt.so.1 => /lib/librt.so.1 (0xb728a000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7285000)
        libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0xb724d000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7223000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb721b000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb7218000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb7210000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb7209000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7200000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb71fd000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb71fa000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb71d3000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7158000)
        libdirectfb-1.1.so.0 => /usr/lib/libdirectfb-1.1.so.0 (0xb70e8000)
        libz.so.1 => /lib/libz.so.1 (0xb70d4000)
        libdirect-1.1.so.0 => /usr/lib/libdirect-1.1.so.0 (0xb70c3000)
        libglitz.so.1 => /usr/lib/libglitz.so.1 (0xb709d000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb707a000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb7051000)
        /lib/ld-linux.so.2 (0x80000000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb704e000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7036000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7032000)
        libgailutil.so.18 => /usr/lib/libgailutil.so.18 (0xb702b000)
        libgnutls.so.13 => /usr/lib/libgnutls.so.13 (0xb6fb1000)
        libgcrypt.so.11 => /usr/lib/libgcrypt.so.11 (0xb6f60000)
        libavahi-glib.so.1 => /usr/lib/libavahi-glib.so.1 (0xb6f5d000)
        libavahi-common.so.3 => /usr/lib/libavahi-common.so.3 (0xb6f52000)
        libavahi-client.so.3 => /usr/lib/libavahi-client.so.3 (0xb6f43000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb6f30000)
        libutil.so.1 => /lib/libutil.so.1 (0xb6f2c000)
        libORBitCosNaming-2.so.0 => /usr/lib/libORBitCosNaming-2.so.0 (0xb6f28000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6f08000)
        libfusion-1.1.so.0 => /usr/lib/libfusion-1.1.so.0 (0xb6f00000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb6efc000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6ef7000)
        libtasn1.so.3 => /usr/lib/libtasn1.so.3 (0xb6ee7000)
        libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0xb6ee3000)
undefined symbol: gst_deinit    (/usr/bin/gnome-power-manager)
undefined symbol: gst_element_get_type  (/usr/bin/gnome-power-manager)
undefined symbol: gst_object_unref      (/usr/bin/gnome-power-manager)
undefined symbol: gst_element_set_state (/usr/bin/gnome-power-manager)
undefined symbol: gst_message_get_type  (/usr/bin/gnome-power-manager)
undefined symbol: gst_element_get_bus   (/usr/bin/gnome-power-manager)
undefined symbol: gst_bus_add_signal_watch      (/usr/bin/gnome-power-manager)
undefined symbol: gst_message_parse_error       (/usr/bin/gnome-power-manager)
undefined symbol: gst_init      (/usr/bin/gnome-power-manager)
undefined symbol: gst_element_factory_make      (/usr/bin/gnome-power-manager)
undefined symbol: gst_object_get_type   (/usr/bin/gnome-power-manager)
$ rpm -qf /usr/bin/gnome-power-manager
gnome-power-manager-2.22.1-alt1
$ $ rpm -qa '*gst*'
gst-ffmpeg-0.10.3-alt3
gstreamer-0.10.14-alt1
gst-plugins-gconf-0.10.8-alt2
gst-plugins-video-filters-0.10.0-alt2
gst-plugins-bad-0.10.7-alt2
gst-plugins-video-formats-0.10.0-alt2
libgst-plugins-0.10.19-alt2
gst-plugins-test-0.10.0-alt2
gstreamer-utils-0.10.14-alt1
gst-plugins-ugly-0.10.7-alt3
gst-plugins-tags-0.10.0-alt2
gst-plugins-subtitle-0.10.0-alt2
gst-plugins-container-formats-0.10.0-alt2
kaffeine-engine-gstreamer-0.8.6-alt1.qa1
libclutter-gst-0.4.0-alt1
gstreamer-pitfdll-0.9.1.1-alt3.20080215
python-module-gst-0.10.10-alt1
libgstreamer-0.10.14-alt1
gst-plugins-gnomevfs-0.10.19-alt2
gst-plugins-good-0.10.8-alt2
gst-plugins-base-0.10.19-alt2
amarok-engine-gstreamer-1.4.9.1-alt1
gst-plugins-audio-filters-0.10.0-alt2
gst-plugins-audio-formats-0.10.0-alt2
gst-inspector-0.3-alt1.1
gst-plugins-pango-0.10.19-alt2
gst-plugins-network-0.10.0-alt2
$ sudo apt-get check
Reading Package Lists... Done
Building Dependency Tree... Done
$
------- Comment #1 From 2008-05-19 03:12:45 -------
No, I'm sorry, the real problem was the mismatch between libgstreamer and
libgst-plugins versions (not noticed by APT):

(In reply to comment #0)
> $ rpm -qa '*gst*'

> gstreamer-0.10.14-alt1

> libgst-plugins-0.10.19-alt2

> libgstreamer-0.10.14-alt1

> $ sudo apt-get check
> Reading Package Lists... Done
> Building Dependency Tree... Done
> $

So, a newer libgst-plugins should require the new libgstreamer.
------- Comment #2 From 2008-05-19 03:17:54 -------
reassign to current maintainer
------- Comment #3 From 2008-05-20 12:59:14 -------

*** This bug has been marked as a duplicate of 15526 ***